ReadinessCheck.TypeEnum (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.service.api.records, class: ReadinessCheck, enum: TypeEnum

Package org.apache.hadoop.yarn.service.api.records

# Enum Class ReadinessCheck.TypeEnum

java.lang.Object
java.lang.Enum<ReadinessCheck.TypeEnum>
org.apache.hadoop.yarn.service.api.records.ReadinessCheck.TypeEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<ReadinessCheck.TypeEnum>`, `Constable`

Enclosing class:
  ReadinessCheck

public static enum ReadinessCheck.TypeEnum extends Enum<ReadinessCheck.TypeEnum>
Type. HTTP and PORT

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  `HTTP`
  `PORT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static ReadinessCheck.TypeEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ReadinessCheck.TypeEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final ReadinessCheck.TypeEnum DEFAULT

  - ### HTTP

    public static final ReadinessCheck.TypeEnum HTTP

  - ### PORT

    public static final ReadinessCheck.TypeEnum PORT

- ## Method Details

  - ### values

    public static ReadinessCheck.TypeEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ReadinessCheck.TypeEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ReadinessCheck.TypeEnum>`